# $Revision: 1.55 $, $Date: 2006/09/17 20:39:41 $
#
# Conditional build:
%bcond_with	license_agreement	# generates package
#
%define		_ver_major	7
%define		_ver_minor	0
%define		_ver_patch	68
%define		_ver_serial	0
%define		base_name	macromedia-flash
Summary:	Flash plugin for Netscape-compatible WWW browsers
Summary(pl):	Wtyczka Flash dla przegldarek WWW zgodnych z Netscape
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
%define		_rel 1
Version:	%{_ver_major}.%{_ver_minor}.%{_ver_patch}.%{_ver_serial}
Release:	%{_rel}%{?with_license_agreement:wla}
License:	Free to use, non-distributable
Group:		X11/Applications/Multimedia
%if %{with license_agreement}
Source0:	http://macromedia.mplug.org/rpmsource/flash-plugin-%{_ver_major}.%{_ver_minor}.%{_ver_patch}.tar.gz
# NoSource0-md5:	a18532c8457f1140964c4d896a928c96
%else
Source0:	license-installer.sh
%endif
URL:		http://www.adobe.com/products/flashplayer/
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.236
Requires:	browser-plugins(%{_target_base_arch})
%else
Requires:	rpm-build-tools
%endif
Obsoletes:	flash-plugin
Obsoletes:	konqueror-plugin-macromedia-flash
Obsoletes:	mozilla-firefox-plugin-macromedia-flash
Obsoletes:	mozilla-plugin-macromedia-flash
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/browser-plugins

# TODO: galeon and skipstone.
# use macro, otherwise extra LF inserted along with the ifarch
%define	browsers mozilla, mozilla-firefox, konqueror, opera, seamonkey

%description
Flash plugin for Netscape-compatible WWW browsers.

Supported browsers: %{browsers}.

%description -l pl
Wtyczka Flash dla przegldarek WWW zgodnych z Netscape.

Obsugiwane przegldarki: %{browsers}.

%prep
%if %{with license_agreement}
%setup -q -n install_flash_player_7_linux
ver=$(awk '/^Version/{print $2}' Readme.txt)
if [ "$ver" != %{version} ]; then
	: This tarball is not version %{version}. Source mentions version $ver. Something wrong
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
' %{SOURCE0} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else

install -d $RPM_BUILD_ROOT%{_plugindir}
install *.{so,xpt} $RPM_BUILD_ROOT%{_plugindir}

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install

%else

%triggerin -- mozilla-firefox
%nsplugin_install -d %{_libdir}/mozilla-firefox/plugins libflashplayer.so flashplayer.xpt

%triggerun -- mozilla-firefox
%nsplugin_uninstall -d %{_libdir}/mozilla-firefox/plugins libflashplayer.so flashplayer.xpt

%triggerin -- mozilla
%nsplugin_install -d %{_libdir}/mozilla/plugins libflashplayer.so flashplayer.xpt

%triggerun -- mozilla
%nsplugin_uninstall -d %{_libdir}/mozilla/plugins libflashplayer.so flashplayer.xpt

%triggerin -- konqueror
%nsplugin_install -d %{_libdir}/kde3/plugins/konqueror libflashplayer.so

%triggerun -- konqueror
%nsplugin_uninstall -d %{_libdir}/kde3/plugins/konqueror libflashplayer.so

%triggerin -- opera
%nsplugin_install -d %{_libdir}/opera/plugins libflashplayer.so

%triggerun -- opera
%nsplugin_uninstall -d %{_libdir}/opera/plugins libflashplayer.so

%triggerin -- seamonkey
%nsplugin_install -d %{_libdir}/seamonkey/plugins libflashplayer.so flashplayer.xpt

%triggerun -- seamonkey
%nsplugin_uninstall -d %{_libdir}/seamonkey/plugins libflashplayer.so flashplayer.xpt

# as rpm removes the old obsoleted package files after the triggers
# above are ran, add another trigger to make the links there.
%triggerpostun -- mozilla-firefox-plugin-macromedia-flash
%nsplugin_install -f -d %{_libdir}/mozilla-firefox/plugins libflashplayer.so flashplayer.xpt

%triggerpostun -- mozilla-plugin-macromedia-flash
%nsplugin_install -f -d %{_libdir}/mozilla/plugins libflashplayer.so flashplayer.xpt

%triggerpostun -- konqueror-plugin-macromedia-flash
%nsplugin_install -f -d %{_libdir}/kde3/plugins/konqueror libflashplayer.so
%endif

%files
%defattr(644,root,root,755)

%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}

%else
%doc Readme.txt
%attr(755,root,root) %{_plugindir}/*.so
%{_plugindir}/*.xpt
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: macromedia-flash.spec,v $
Revision 1.55  2006/09/17 20:39:41  glen
- change source0 to include version

Revision 1.54  2006/09/16 11:05:09  glen
- add version check, as url without version you could fetch cache copy of old version
- should restore the versioned url, really

Revision 1.53  2006/09/16 08:48:37  paszczus
- updated to 7.0.68 (fixes several security vulnerabilities as reported in Adobe Vulnerability APSB06-11)
  CVE-2006-3311 CVE-2006-3587 CVE-2006-3588
- changed Source0 URL

Revision 1.52  2006/05/19 23:59:26  baggins
- rel 6
- fix mozilla triggers

Revision 1.51  2006/05/14 13:07:36  blues
- release 5 - install everything what is needed for seamonkey

Revision 1.50  2006/05/04 21:10:27  glen
- browser-plugins(%{_target_base_arch}), rel 4

Revision 1.49  2006/04/22 18:50:06  glen
- rel 3

Revision 1.48  2006/04/22 17:19:06  glen
- use %else

Revision 1.47  2006/04/22 17:05:33  glen
- rel 2

Revision 1.46  2006/04/22 17:02:49  glen
- wget required by rpm-build-tools, cpio by rpm-build
- don't require browser-plugins for installer

Revision 1.45  2006/04/19 19:28:35  adamg
- triggers for seamonkey

Revision 1.44  2006/03/22 12:30:56  glen
- up to 7.0.63, resolves CVE-2006-0024

Revision 1.43  2005/11/28 12:29:37  glen
- use versioned url

Revision 1.42  2005/11/28 11:53:52  glen
- updated to 7.0.61.0, resolves CVE-2005-2628

Revision 1.41  2005/10/30 21:32:19  qboosh
- unified bcond header

Revision 1.40  2005/10/29 11:18:29  glen
- rel 4

Revision 1.39  2005/10/29 03:38:43  aredridel
- won't work as pre, post-install call installer

Revision 1.38  2005/09/17 17:58:22  glen
- rel 3

Revision 1.37  2005/09/06 17:55:19  glen
- add nice migration triggers

Revision 1.36  2005/08/24 11:35:04  glen
- split version to major and minor vers
- macros not needed for installer package

Revision 1.35  2005/08/23 20:41:27  qboosh
- updated pl desc

Revision 1.34  2005/08/23 20:00:05  glen
- update URL

Revision 1.33  2005/08/23 19:17:50  glen
- unzip unneccessary

Revision 1.32  2005/08/23 19:17:25  glen
- sync requires from w32codec.spec

Revision 1.31  2005/08/23 18:45:30  glen
- make i686 package install on amd64

Revision 1.30  2005/08/23 18:10:13  glen
- require correct arch of browser-plugins

Revision 1.29  2005/08/23 18:02:03  glen
- add opera support

Revision 1.28  2005/08/23 17:56:48  glen
- use shared installer script from SOURCES

Revision 1.27  2005/08/23 17:22:40  glen
- single package with triggers on browser packages

Revision 1.26  2005/08/23 16:47:51  glen
- use without macro

Revision 1.25  2005/08/23 16:45:34  glen
- use non-expanding heredoc redirection for readiness

Revision 1.24  2005/01/21 22:21:34  qboosh
- don't mention netraider, it's dead

Revision 1.23  2004/12/13 12:49:34  ankry
- with license_agreement support, rel. 2

Revision 1.22  2004/06/23 19:13:11  qboosh
- cosmetic

Revision 1.21  2004/06/23 18:43:10  havner
- firefox plugin added

Revision 1.20  2004/05/27 18:19:27  alchemyx
- upgraded to 7.0r25

Revision 1.19  2004/03/16 20:23:11  areq
- Flash Plugin for Browsers 6.0.81 (Flash 6)
- The plugin no longer requires libstdc++.

Revision 1.18  2003/11/26 15:44:40  adgor
- No, it doesn't need whole libstdc++-compat, but only libstdc++-libc6.2-2.so.3,
  which is provided by compat-libstdc++-2.10 package. So libstdc++-compat is
  obsoleted - use compat-libstdc++-* packages instead.

Revision 1.17  2003/11/26 15:20:11  arekm
- mozilla plugin can be used with opera, too so just be nicer for potential user

Revision 1.16  2003/11/24 12:02:37  baggins
- release 4

Revision 1.15  2003/11/24 12:02:21  baggins
- fixed requires

Revision 1.14  2003/11/02 12:56:16  adgor
- Ops.. removed BR compat-libstdc++-2.10

Revision 1.13  2003/11/02 12:33:21  adgor
- Fixed compat-libstdc++ deps

Revision 1.12  2003/10/18 19:53:24  djurban
- removed ra bcond. (use branch)

Revision 1.11  2003/09/11 16:42:50  gotar
- BR: compat-libstdc++-2.10 for proper generation of dependencies,
- release 3.

Revision 1.10  2003/09/01 13:01:20  qboosh
- updated compat-libstdc++ deps

Revision 1.9  2003/08/18 09:46:30  qboosh
- NoSource md5, more specific URL

Revision 1.8  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 12:59:39  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/06 13:22:25  aflinta
- updated to version 6.0.79.0

Revision 1.4  2003/03/04 10:47:30  grabba
- added bcond to build in RA environment

Revision 1.3  2003/01/13 10:09:05  adgor
- Prefix /usr
- Release 2

Revision 1.2  2002/12/30 12:46:25  qboosh
- added base package (for src/nosrc.rpm) with new Name (equal spec name)
- 644 for *.xpt

Revision 1.1  2002/12/24 00:00:51  blues
- konqueror and mozilla plugin are build from one spec now.

Revision 1.10  2002/12/23 23:39:02  blues
- updated to 6.0r69 - fixed URL

Revision 1.9  2002/12/09 07:36:26  aflinta
- moved to /usr
- release 4
- note! Latest flash source is from 04/XII/2002 please reget it

Revision 1.8  2002/11/10 18:49:57  wolf
- correct build dir

Revision 1.7  2002/11/08 12:52:05  krzak
- Requires:       libstdc++-compat
- Release 2

Revision 1.6  2002/10/28 12:09:55  grabba
- tested with mozilla 1.0

Revision 1.5  2002/10/28 10:56:25  misiek
- updated to 6.0 beta

Revision 1.4  2002/10/08 12:45:00  misiek
- updated to 5.0r51

Revision 1.3  2002/08/18 12:34:00  blues
- license fix

Revision 1.2  2002/08/12 18:27:34  blues
- 5.0r50 - SECURITY update

Revision 1.1  2002/05/15 16:50:10  saq
- flash-plugin renamed to mozilla-plugin-macromedia-flash
- License forbids distribution!

Revision 1.12  2002/04/25 16:18:26  arturs
- fixed a small typo

Revision 1.11  2002/04/18 10:47:33  misiek
- 5.0r48 (still doesn't work with mozilla 0.9.9

Revision 1.10  2002/03/27 11:05:59  roman
- s/Distribuable/distributable in License

Revision 1.9  2002/03/24 02:04:52  blues
- s/Exclude/Exclusive/

Revision 1.8  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/28 10:31:00  marcus
- s/%{x86}/%{ix86}/g

Revision 1.5  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/12 14:07:53  kloczek
- ExcludeArch: %{ix86}

Revision 1.3  2001/07/12 14:04:47  kloczek
- cosmetics and some minor changes in macros using.

Revision 1.2  2001/07/07 12:55:51  wrobell
- this specfile is created from template.spec, cut template's changelog

Revision 1.1  2001/07/07 12:51:04  wrobell
- flash plugin for mozilla based browsers
- stb
